Name:      atop
Version:   2.5.0
Release:   %mkrel 3
Summary:   AT Computing System and Process Monitor
License:   GPLv2+
Group:     Monitoring
URL:       http://www.ATComputing.nl/atop
Source0:   https://www.atoptool.nl/download/%{name}-%{version}.tar.gz
Source4:   atop.sysconfig
Source5:   atop.tmpfiles
Source6:   atop.service
Patch0:    atop-2.5.0-rundir.patch
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(ncurses)
# for macro definition:
BuildRequires:  pkgconfig(systemd)
BuildRequires:  systemd-units
Requires(post): systemd
Requires(preun): systemd

%description
The program atop is an interactive monitor to view the load on
a Linux-system. It shows the occupation of the most critical
hardware-resources (from a performance point of view) on system-level,
i.e. cpu, memory, disk and network. It also shows which processes are
responsible for the indicated load (again cpu-, memory-, disk- and
network-load on process-level).
The program atop can also be used to log system- and process-level
information in raw format for long-term analysis.

The program atopsar can be used to view system-level statistics as
reports, similar to the program sar.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build

%install
install -Dp -m 04711 atop            $RPM_BUILD_ROOT%{_bindir}/atop
ln -s atop                           $RPM_BUILD_ROOT%{_bindir}/atopsar
install -Dp -m 0755 atopconvert      $RPM_BUILD_ROOT%{_bindir}/atopconvert
install -Dp -m 0644 man/atop.1       $RPM_BUILD_ROOT%{_mandir}/man1/atop.1
install -Dp -m 0644 man/atopsar.1    $RPM_BUILD_ROOT%{_mandir}/man1/atopsar.1
install -Dp -m 0644 man/atoprc.5     $RPM_BUILD_ROOT%{_mandir}/man5/atoprc.5
install -Dp -m 0711 atop.daily       $RPM_BUILD_ROOT%{_sysconfdir}/atop/atop.daily
install -Dp -m 0644 %{SOURCE4}       $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/atop
install -Dp -m 0644 psaccs_atop      $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/psaccs_atop
install -Dp -m 0644 psaccu_atop      $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/psaccu_atop
install -Dp -m 0644 atop.service     $RPM_BUILD_ROOT%{_unitdir}/atop.service
install -d  -m 0755                  $RPM_BUILD_ROOT%{_logdir}/atop
install -Dp -m 0755 atopacctd        $RPM_BUILD_ROOT%{_sbindir}/atopacctd
install -Dp -m 0644 atopacct.service $RPM_BUILD_ROOT%{_unitdir}/atopacct.service
install -Dp -m 0644 atop-rotate.*    $RPM_BUILD_ROOT%{_unitdir}/
install -Dp -m 0644 %{SOURCE5}       $RPM_BUILD_ROOT%{_tmpfilesdir}/%{name}.conf
install -d -m 0755                   $RPM_BUILD_ROOT%{_rundir}/%{name}

%post
%_tmpfilescreate %{name}
%_post_service %{name}
%_post_service atopacct
%systemd_post atop-rotate.timer

%preun
%_preun_service %{name}
%_preun_service atopacct
%systemd_preun atop-rotate.timer

%files
%doc README AUTHOR ChangeLog
%license COPYING
%config(noreplace) %{_sysconfdir}/sysconfig/atop
%{_bindir}/atop
%{_bindir}/atopsar
%{_bindir}/atopconvert
%{_sbindir}/atopacctd
%{_mandir}/man1/atop.1*
%{_mandir}/man1/atopsar.1*
%{_mandir}/man5/atoprc.5*
%{_sysconfdir}/%{name}/atop.daily
%{_sysconfdir}/logrotate.d/psaccs_atop
%{_sysconfdir}/logrotate.d/psaccu_atop
%dir %{_logdir}/atop/
%{_unitdir}/atop.service
%{_unitdir}/atop-rotate.service
%{_unitdir}/atop-rotate.timer
%{_unitdir}/atopacct.service
%dir %ghost %attr(0755, root, root) %{_rundir}/atop
%ghost %attr(0660, -, -) %{_rundir}/atop/atopacctd.pid
%ghost %attr(0660, -, -) %{_rundir}/atop/atop.pid
%{_tmpfilesdir}/%{name}.conf


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 2.5.0-3.mga8
+ Revision: 1538650
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Mon Nov 25 2019 daviddavid <daviddavid> 2.5.0-2.mga8
+ Revision: 1462791
- make sure pid files and /run/atop folder are removed when uninstalled

* Sat Nov 09 2019 daviddavid <daviddavid> 2.5.0-1.mga8
+ Revision: 1458954
- new version: 2.5.0
- switch temporary dir from /var/run to /run/atop
- add a tmpfiles conf file and use the upstream service files
- package atopacctd and atopconvert
- improve broken %%post stage (atop installs but blocks urpmi)

* Wed Jan 16 2019 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1357453
- new version: 2.4.0

* Fri Sep 21 2018 umeabot <umeabot> 2.3.0-2.mga7
+ Revision: 1295067
- Mageia 7 Mass Rebuild

* Tue Aug 28 2018 zezinho <zezinho> 2.3.0-1.mga7
+ Revision: 1255301
- reset make flags
- new version 2.3.0 - spec cleanup

* Mon Sep 11 2017 cjw <cjw> 2.1-3.mga7
+ Revision: 1152859
- fix passing of optflags to make

* Sun Oct 16 2016 tv <tv> 2.1-2.mga6
+ Revision: 1061149
- BR systemd-devel for macro definition (mga#12027)

* Thu May 26 2016 tv <tv> 2.1-1.mga6
+ Revision: 1018655
- switch to systemd unit + use std systemd macros
- new release
- fix URL

* Mon Feb 08 2016 umeabot <umeabot> 2.0.2-6.mga6
+ Revision: 947064
- Mageia 6 Mass Rebuild
+ danf <danf>
- Package the atoprc.5 man page
- Clarified the license as GPLv2+

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-5.mga5
+ Revision: 750430
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 678030
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-3.mga4
+ Revision: 502919
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 346551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 2.0.2-1.mga3
+ Revision: 343618
- new version 2.0.2
- drop initscript_LSB.patch, fixed upstream
+ malo <malo>
- fix RPM group

* Thu Mar 17 2011 tv <tv> 1.26-1.mga1
+ Revision: 73418
- imported package atop


* Fri Jan 07 2011 Antoine Ginies <aginies@mandriva.com> 1.26-1mdv2011.0
+ Revision: 629520
- atop version 1.26

* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 1.25-2mdv2011.0
+ Revision: 604338
- rebuild for new zlib

* Sun Aug 15 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.25-1mdv2011.0
+ Revision: 569923
- use %%{_sysconfdir} in file list
- fix license according to COPYING file
- rediff patch
- update to 1.25

* Fri Jan 29 2010 Frederik Himpe <fhimpe@mandriva.org> 1.24-1mdv2010.1
+ Revision: 498286
- Update to new version 1.24
- Use Mandriva CFLAGS

* Tue Nov 10 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 1.23-4mdv2010.1
+ Revision: 464255
- patch1 - LSBify init script

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 1.23-3mdv2010.0
+ Revision: 423974
- rebuild

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 1.23-2mdv2009.0
+ Revision: 226190
- rebuild

* Thu Mar 06 2008 Antoine Ginies <aginies@mandriva.com> 1.23-1mdv2008.1
+ Revision: 180922
- add ncurses-devel buildrequires
- it's zlib-devel buildrequires, not bzip2-devel requires
- add bzip2-devel buildrequires
- new version
- new version 1.2.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Erwan Velu <erwan@mandriva.org>
    - Import atop

